%define	name	SDLmm
%define	version	0.1.8
%define	release	%mkrel 12
%define	lib_name_orig	libSDLmm
%define	lib_major	0.1
%define	lib_name	%mklibname %{name} %{lib_major}

Name:		%{name}
Summary:	A C++ Wrapper for the Simple DirectMedia Layer
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	http://download.sourceforge.net/SDLmm/%{name}-%{version}.tar.bz2
Patch0:		SDLmm-0.1.8-fix-underquoted-calls.patch
URL:		http://sdlmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel

%description
SDLmm is a C++ glue for SDL, or the Simple DirectMedia Layer, which is a
generic API that provides low level access to audio, keyboard, mouse,
joystick, 3D hardware via OpenGL, and 2D framebuffer across multiple
platforms.

SDLmm aims to stay as close as possible to the C API while taking
advantage of native C++ features like object orientation.

%package -n	%{lib_name}
Summary:	Main library for SDLmm
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release} %{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with SDLmm.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use SDLmm
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use SDLmm, the C++ interface to SDL.

%prep
%setup -q
%patch0 -p1 -b .underquoted

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/sdlmm-config

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc docs/html/*.{html,gif} NEWS README
%{_bindir}/sdlmm-config
%multiarch %{multiarch_bindir}/sdlmm-config
%{_includedir}/*
%{_libdir}/*.?a
%{_libdir}/libSDLmm.a
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_mandir}/*/*


%changelog
* Fri Jun 08 2007 Olivier Blin <oblin@mandriva.com> 0.1.8-12mdv2008.0
+ Revision: 37301
- rebuild for directfb (and bunzip patch)
- Import SDLmm



* Thu Jun 22 2006 Lenny Cartier <lenny@mandriva.com> 0.1.8-11mdv2007.0
- rebuild

* Thu Jan 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1.8-10mdk
- fix underquoted calls (P0)
- %%mkrel

* Wed May 04 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1.8-9mdk
- multiarch
- drop packager tag

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.8-8mdk
- fix summary
- drop .bz2 ending for man pages

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.8-7mdk
- rebuild
- cosmetics

* Mon Aug 04 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.8-6mdk
- rebuild
- use %%mklibname macro

* Thu Nov 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.8-5mdk
- add missing %%{_libdir}/libSDLmm.a

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.8-4mdk
- rebuild

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.8-3mdk
- recompile against latest libstdc++

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.8-2mdk
- rebuild for new alsa

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.8-1mdk
- first mdk package
